curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/customers/{customerId}/bank-accounts \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/customers/{customerId}/bank-accounts"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/customers/{customerId}/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"accountHolder": "<string>",
"bankName": "<string>",
"accountNumber": "<string>",
"bankCode": "<string>",
"iBAN": "<string>",
"bIC": "<string>"
}
]{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Query Customer Bank Accounts
Queries all bank accounts for a specific customer.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the customer that the bank accounts belong to. Represents a unique key for identifying a customer in the JTL system.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
The requested bank accounts of the customer.
The unique ID to identify a customer's bank account.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Name of the account holder of the customer's bank account.
Name of the bank.
Account number of the customer's bank account.
Bank code of the customer bank's account.
International bank account number of the customer's bank account.
Bank identification code of the customer's bank account.
Was this page helpful?